# HasConfigurableAttributes

interface HasConfigurableAttributes<SELF> : HasAttributes

Represents something that carries attributes by utilizing an AttributeContainer that is configurable.

#### Since

3.4

#### Parameters

<SELF>

type extending this interface

#### Inheritors

DependencyConstraint
ModuleDependency
ViewConfiguration
Configuration
ConfigurationPublications
ComponentMetadataDetails
VariantMetadata
ConfigurationVariant

## Functions

attributes
Link copied to clipboard
abstract fun attributes(action: Action<in AttributeContainer>): SELF
Configure the attribute container that provides the attributes associated with this domain object.
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer